Posts & Feeds V2
Post Types V2
Get allowed post types for a subreddit — text, link, image, video, gallery, poll. Shows what kinds of posts can be created. Also returns crosspost and AMA setti
GET /api/v2/community/{name}/post-types
Get allowed post types for a subreddit — text, link, image, video, gallery, poll. Shows what kinds of posts can be created. Also returns crosspost and AMA settings.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Subreddit name, r/name, or full URL (e.g. test) |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/community/test/post-types" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/community/test/post-types", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v2/community/test/post-types"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"success": true,
"postTypes": {
"allAllowedPostTypes": [
"LINK",
"IMAGE",
"\u2026 (5 more items)"
],
"isCrosspostingAllowed": true,
"isPredictionAllowed": false,
"amaSettings": {
"postPermissions": "ALL"
}
}
},
"error": null,
"timestamp": "2026-04-29T08:59:52.407501+00:00"
}Post State Controls V2
Execute a post state action: save, unsave, follow, unfollow, hide, unhide, nsfw, unnsfw, spoiler, unspoiler, brand, unbrand, pin, unpin, reminder, no_reminder,
Home Feed V2
Fetch the authenticated user's personalized home feed. Supports Best/Hot/New/Top/Controversial/Rising sorting. Requires bearer token.